zeppelin-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From mina...@apache.org
Subject zeppelin git commit: [DOCS] Update interpter installation guide
Date Thu, 19 Jan 2017 04:58:57 GMT
Repository: zeppelin
Updated Branches:
  refs/heads/branch-0.7 2665d709a -> 759f3fa6e


[DOCS] Update interpter installation guide

### What is this PR for?
* Update Scio interpreter's artifact name from `scio` to `scio_2.11`, which will be used for
installing scio interpreter from netinst binary package.
* Fix typos

### What type of PR is it?
Documentation | Hotfix

### What is the Jira issue?

### Questions:
* Does the licenses files need update? no
* Is there breaking changes for older versions? no
* Does this needs documentation? no

Author: Mina Lee <minalee@apache.org>

Closes #1906 from minahlee/docs/interpreterInstall and squashes the following commits:

56eeab3 [Mina Lee] Update interpter installation guide

(cherry picked from commit 26808e3a07d43b2533785bd08ed9d47948f3e778)
Signed-off-by: Mina Lee <minalee@apache.org>


Project: http://git-wip-us.apache.org/repos/asf/zeppelin/repo
Commit: http://git-wip-us.apache.org/repos/asf/zeppelin/commit/759f3fa6
Tree: http://git-wip-us.apache.org/repos/asf/zeppelin/tree/759f3fa6
Diff: http://git-wip-us.apache.org/repos/asf/zeppelin/diff/759f3fa6

Branch: refs/heads/branch-0.7
Commit: 759f3fa6edde88312a55384cc8bfcf32364f3d9f
Parents: 2665d70
Author: Mina Lee <minalee@apache.org>
Authored: Tue Jan 17 19:42:43 2017 +0900
Committer: Mina Lee <minalee@apache.org>
Committed: Thu Jan 19 13:58:52 2017 +0900

----------------------------------------------------------------------
 conf/interpreter-list                  | 40 +++++++-------
 docs/manual/interpreterinstallation.md | 82 ++++++++++++++++++-----------
 2 files changed, 71 insertions(+), 51 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/zeppelin/blob/759f3fa6/conf/interpreter-list
----------------------------------------------------------------------
diff --git a/conf/interpreter-list b/conf/interpreter-list
index c22afef..e0687df 100644
--- a/conf/interpreter-list
+++ b/conf/interpreter-list
@@ -17,23 +17,23 @@
 #
 # [name]  [maven artifact]  [description]
 
-alluxio         org.apache.zeppelin:zeppelin-alluxio:0.6.1              Alluxio interpreter
-angular         org.apache.zeppelin:zeppelin-angular:0.6.1              HTML and AngularJS
view rendering
-beam            org.apache.zeppelin:zeppelin-beam:0.6.1                 Beam interpreter
-bigquery        org.apache.zeppelin:zeppelin-bigquery:0.6.1             BigQuery interpreter
-cassandra       org.apache.zeppelin:zeppelin-cassandra_2.11:0.6.1       Cassandra interpreter
built with Scala 2.11
-elasticsearch   org.apache.zeppelin:zeppelin-elasticsearch:0.6.1        Elasticsearch interpreter
-file            org.apache.zeppelin:zeppelin-file:0.6.1                 HDFS file interpreter
-flink           org.apache.zeppelin:zeppelin-flink_2.11:0.6.1           Flink interpreter
built with Scala 2.11
-hbase           org.apache.zeppelin:zeppelin-hbase:0.6.1                Hbase interpreter
-ignite          org.apache.zeppelin:zeppelin-ignite_2.11:0.6.1          Ignite interpreter
built with Scala 2.11
-jdbc            org.apache.zeppelin:zeppelin-jdbc:0.6.1                 Jdbc interpreter
-kylin           org.apache.zeppelin:zeppelin-kylin:0.6.1                Kylin interpreter
-lens            org.apache.zeppelin:zeppelin-lens:0.6.1                 Lens interpreter
-livy            org.apache.zeppelin:zeppelin-livy:0.6.1                 Livy interpreter
-md              org.apache.zeppelin:zeppelin-markdown:0.6.1             Markdown support
-pig             org.apache.zeppelin:zeppelin-pig:0.6.1                  Pig interpreter
-postgresql      org.apache.zeppelin:zeppelin-postgresql:0.6.1           Postgresql interpreter
-python          org.apache.zeppelin:zeppelin-python:0.6.1               Python interpreter
-scio            org.apache.zeppelin:zeppelin-scio:0.6.1                 Scio interpreter
-shell           org.apache.zeppelin:zeppelin-shell:0.6.1                Shell command
+alluxio         org.apache.zeppelin:zeppelin-alluxio:0.7.0              Alluxio interpreter
+angular         org.apache.zeppelin:zeppelin-angular:0.7.0              HTML and AngularJS
view rendering
+beam            org.apache.zeppelin:zeppelin-beam:0.7.0                 Beam interpreter
+bigquery        org.apache.zeppelin:zeppelin-bigquery:0.7.0             BigQuery interpreter
+cassandra       org.apache.zeppelin:zeppelin-cassandra_2.11:0.7.0       Cassandra interpreter
built with Scala 2.11
+elasticsearch   org.apache.zeppelin:zeppelin-elasticsearch:0.7.0        Elasticsearch interpreter
+file            org.apache.zeppelin:zeppelin-file:0.7.0                 HDFS file interpreter
+flink           org.apache.zeppelin:zeppelin-flink_2.11:0.7.0           Flink interpreter
built with Scala 2.11
+hbase           org.apache.zeppelin:zeppelin-hbase:0.7.0                Hbase interpreter
+ignite          org.apache.zeppelin:zeppelin-ignite_2.11:0.7.0          Ignite interpreter
built with Scala 2.11
+jdbc            org.apache.zeppelin:zeppelin-jdbc:0.7.0                 Jdbc interpreter
+kylin           org.apache.zeppelin:zeppelin-kylin:0.7.0                Kylin interpreter
+lens            org.apache.zeppelin:zeppelin-lens:0.7.0                 Lens interpreter
+livy            org.apache.zeppelin:zeppelin-livy:0.7.0                 Livy interpreter
+md              org.apache.zeppelin:zeppelin-markdown:0.7.0             Markdown support
+pig             org.apache.zeppelin:zeppelin-pig:0.7.0                  Pig interpreter
+postgresql      org.apache.zeppelin:zeppelin-postgresql:0.7.0           Postgresql interpreter
+python          org.apache.zeppelin:zeppelin-python:0.7.0               Python interpreter
+scio            org.apache.zeppelin:zeppelin-scio_2.11:0.7.0            Scio interpreter
+shell           org.apache.zeppelin:zeppelin-shell:0.7.0                Shell command

http://git-wip-us.apache.org/repos/asf/zeppelin/blob/759f3fa6/docs/manual/interpreterinstallation.md
----------------------------------------------------------------------
diff --git a/docs/manual/interpreterinstallation.md b/docs/manual/interpreterinstallation.md
index 1c2f7f4..8a08366 100644
--- a/docs/manual/interpreterinstallation.md
+++ b/docs/manual/interpreterinstallation.md
@@ -23,10 +23,10 @@ limitations under the License.
 
 <div id="toc"></div>
 
-Apache Zeppelin provides **Interpreter Installation** mechanism for whom downloaded Zeppelin
`netinst` binary package, or just want to install another 3rd party interpreters. 
+Apache Zeppelin provides **Interpreter Installation** mechanism for whom downloaded Zeppelin
`netinst` binary package, or just want to install another 3rd party interpreters.
 
 ## Community managed interpreters
-Apache Zeppelin provides several interpreters as [community managed interpreters](#available-community-managed-interpreters).

+Apache Zeppelin provides several interpreters as [community managed interpreters](#available-community-managed-interpreters).
 If you downloaded `netinst` binary package, you need to install by using below commands.
 
 #### Install all community managed interpreters
@@ -48,7 +48,7 @@ You can get full list of community managed interpreters by running
 ```
 
 #### Install interpreter built with Scala 2.10
-From version 0.6.1, Zeppelin support both Scala 2.10 and 2.11 for several interpreters as
below:
+Zeppelin support both Scala 2.10 and 2.11 for several interpreters as below:
 
 <table class="table-configuration">
   <tr>
@@ -58,30 +58,35 @@ From version 0.6.1, Zeppelin support both Scala 2.10 and 2.11 for several
interp
   </tr>
   <tr>
     <td>cassandra</td>
-    <td>org.apache.zeppelin:zeppelin-cassandra_2.10:0.6.1</td>
-    <td>org.apache.zeppelin:zeppelin-cassandra_2.11:0.6.1</td>
+    <td>org.apache.zeppelin:zeppelin-cassandra_2.10:0.7.0</td>
+    <td>org.apache.zeppelin:zeppelin-cassandra_2.11:0.7.0</td>
   </tr>
   <tr>
     <td>flink</td>
-    <td>org.apache.zeppelin:zeppelin-flink_2.10:0.6.1</td>
-    <td>org.apache.zeppelin:zeppelin-flink_2.11:0.6.1</td>
+    <td>org.apache.zeppelin:zeppelin-flink_2.10:0.7.0</td>
+    <td>org.apache.zeppelin:zeppelin-flink_2.11:0.7.0</td>
   </tr>
   <tr>
     <td>ignite</td>
-    <td>org.apache.zeppelin:zeppelin-ignite_2.10:0.6.1</td>
-    <td>org.apache.zeppelin:zeppelin-ignite_2.11:0.6.1</td>
+    <td>org.apache.zeppelin:zeppelin-ignite_2.10:0.7.0</td>
+    <td>org.apache.zeppelin:zeppelin-ignite_2.11:0.7.0</td>
   </tr>
   <tr>
-    <td>flink</td>
-    <td>org.apache.zeppelin:zeppelin-spark_2.10:0.6.1</td>
-    <td>org.apache.zeppelin:zeppelin-spark_2.11:0.6.1</td>
+    <td>scio</td>
+    <td>org.apache.zeppelin:zeppelin-scio_2.10:0.7.0</td>
+    <td>org.apache.zeppelin:zeppelin-scio_2.11:0.7.0</td>
+  </tr>
+  <tr>
+    <td>spark</td>
+    <td>org.apache.zeppelin:zeppelin-spark_2.10:0.7.0</td>
+    <td>org.apache.zeppelin:zeppelin-spark_2.11:0.7.0</td>
   </tr>
 </table>
 
 If you install one of these interpreters only with `--name` option, installer will download
interpreter built with Scala 2.11 by default. If you want to specify Scala version, you will
need to add `--artifact` option. Here is the example of installing flink interpreter built
with Scala 2.10.
 
 ```
-./bin/install-interpreter.sh --name flink --artifact org.apache.zeppelin:zeppelin-flink_2.10:0.6.1
+./bin/install-interpreter.sh --name flink --artifact org.apache.zeppelin:zeppelin-flink_2.10:0.7.0
 ```
 
 #### Install Spark interpreter built with Scala 2.10
@@ -89,7 +94,7 @@ Spark distribution package has been built with Scala 2.10 until 1.6.2. If
you ha
 
 ```
 rm -rf ./interpreter/spark
-./bin/install-interpreter.sh --name spark --artifact org.apache.zeppelin:zeppelin-spark_2.10:0.6.1
+./bin/install-interpreter.sh --name spark --artifact org.apache.zeppelin:zeppelin-spark_2.10:0.7.0
 ```
 
 <br />
@@ -131,87 +136,102 @@ You can also find the below community managed interpreter list in `conf/interpre
   </tr>
   <tr>
     <td>alluxio</td>
-    <td>org.apache.zeppelin:zeppelin-alluxio:0.6.1</td>
+    <td>org.apache.zeppelin:zeppelin-alluxio:0.7.0</td>
     <td>Alluxio interpreter</td>
   </tr>
   <tr>
     <td>angular</td>
-    <td>org.apache.zeppelin:zeppelin-angular:0.6.1</td>
+    <td>org.apache.zeppelin:zeppelin-angular:0.7.0</td>
     <td>HTML and AngularJS view rendering</td>
   </tr>
   <tr>
+    <td>beam</td>
+    <td>org.apache.zeppelin:zeppelin-beam:0.7.0</td>
+    <td>Beam interpreter</td>
+  </tr>
+  <tr>
     <td>bigquery</td>
-    <td>org.apache.zeppelin:zeppelin-bigquery:0.6.1</td>
+    <td>org.apache.zeppelin:zeppelin-bigquery:0.7.0</td>
     <td>BigQuery interpreter</td>
   </tr>
   <tr>
     <td>cassandra</td>
-    <td>org.apache.zeppelin:zeppelin-cassandra\_2.11:0.6.1</td>
+    <td>org.apache.zeppelin:zeppelin-cassandra\_2.11:0.7.0</td>
     <td>Cassandra interpreter built with Scala 2.11</td>
   </tr>
   <tr>
     <td>elasticsearch</td>
-    <td>org.apache.zeppelin:zeppelin-elasticsearch:0.6.1</td>
+    <td>org.apache.zeppelin:zeppelin-elasticsearch:0.7.0</td>
     <td>Elasticsearch interpreter</td>
   </tr>
   <tr>
     <td>file</td>
-    <td>org.apache.zeppelin:zeppelin-file:0.6.1</td>
+    <td>org.apache.zeppelin:zeppelin-file:0.7.0</td>
     <td>HDFS file interpreter</td>
   </tr>
   <tr>
     <td>flink</td>
-    <td>org.apache.zeppelin:zeppelin-flink\_2.11:0.6.1</td>
+    <td>org.apache.zeppelin:zeppelin-flink\_2.11:0.7.0</td>
     <td>Flink interpreter built with Scala 2.11</td>
   </tr>
   <tr>
     <td>hbase</td>
-    <td>org.apache.zeppelin:zeppelin-hbase:0.6.1</td>
+    <td>org.apache.zeppelin:zeppelin-hbase:0.7.0</td>
     <td>Hbase interpreter</td>
   </tr>
   <tr>
     <td>ignite</td>
-    <td>org.apache.zeppelin:zeppelin-ignite\_2.11:0.6.1</td>
+    <td>org.apache.zeppelin:zeppelin-ignite\_2.11:0.7.0</td>
     <td>Ignite interpreter built with Scala 2.11</td>
   </tr>
   <tr>
     <td>jdbc</td>
-    <td>org.apache.zeppelin:zeppelin-jdbc:0.6.1</td>
+    <td>org.apache.zeppelin:zeppelin-jdbc:0.7.0</td>
     <td>Jdbc interpreter</td>
   </tr>
   <tr>
     <td>kylin</td>
-    <td>org.apache.zeppelin:zeppelin-kylin:0.6.1</td>
+    <td>org.apache.zeppelin:zeppelin-kylin:0.7.0</td>
     <td>Kylin interpreter</td>
   </tr>
   <tr>
     <td>lens</td>
-    <td>org.apache.zeppelin:zeppelin-lens:0.6.1</td>
+    <td>org.apache.zeppelin:zeppelin-lens:0.7.0</td>
     <td>Lens interpreter</td>
   </tr>
   <tr>
     <td>livy</td>
-    <td>org.apache.zeppelin:zeppelin-livy:0.6.1</td>
+    <td>org.apache.zeppelin:zeppelin-livy:0.7.0</td>
     <td>Livy interpreter</td>
   </tr>
   <tr>
     <td>md</td>
-    <td>org.apache.zeppelin:zeppelin-markdown:0.6.1</td>
+    <td>org.apache.zeppelin:zeppelin-markdown:0.7.0</td>
     <td>Markdown support</td>
   </tr>
   <tr>
+    <td>pig</td>
+    <td>org.apache.zeppelin:zeppelin-pig:0.7.0</td>
+    <td>Pig interpreter</td>
+  </tr>
+  <tr>
     <td>postgresql</td>
-    <td>org.apache.zeppelin:zeppelin-postgresql:0.6.1</td>
+    <td>org.apache.zeppelin:zeppelin-postgresql:0.7.0</td>
     <td>Postgresql interpreter</td>
   </tr>
   <tr>
     <td>python</td>
-    <td>org.apache.zeppelin:zeppelin-python:0.6.1</td>
+    <td>org.apache.zeppelin:zeppelin-python:0.7.0</td>
     <td>Python interpreter</td>
   </tr>
   <tr>
+    <td>scio</td>
+    <td>org.apache.zeppelin:zeppelin-scio\_2.11:0.7.0</td>
+    <td>Scio interpreter built with Scala 2.11</td>
+  </tr>
+  <tr>
     <td>shell</td>
-    <td>org.apache.zeppelin:zeppelin-shell:0.6.1</td>
+    <td>org.apache.zeppelin:zeppelin-shell:0.7.0</td>
     <td>Shell command</td>
   </tr>
 </table>


Mime
View raw message